Skip to main content
DELETE
/
voice_designs
/
{id}
/
versions
/
{version}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.voiceDesigns.deleteVersion(1, { id: 'id' });
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.voice_designs.delete_version(
version=1,
id="id",
)
package main

import (
"context"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.VoiceDesigns.DeleteVersion(
context.TODO(),
1,
telnyx.VoiceDesignDeleteVersionParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignDeleteVersionParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

VoiceDesignDeleteVersionParams params = VoiceDesignDeleteVersionParams.builder()
.id("id")
.version(1L)
.build();
client.voiceDesigns().deleteVersion(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

result = telnyx.voice_designs.delete_version(1, id: "id")

puts(result)
telnyx voice-designs delete-version \
--api-key 'My API Key' \
--id id \
--version 1
curl --request DELETE \
--url https://api.telnyx.com/v2/voice_designs/{id}/versions/{version}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/voice_designs/{id}/versions/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "errors": [
    {
      "code": "10005",
      "title": "Resource not found",
      "detail": "Voice design not found"
    }
  ]
}
{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}
{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}

Path Parameters

id
string
required

The voice design UUID or name.

version
integer
required

The version number to delete.

Required range: x >= 1

Response

Voice design version deleted successfully.